Subject: Re: cygwin and GnuPro
From: Earnie Boyd <[email-masked]>
To: Saracen <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Wed, 5 May 1999 05:53:49 -0700 (PDT)

--- Saracen <[email-masked]> wrote:
-8<-
> 
> I develop simulation software and I require the speed of Linux, the
> comfortable
> development environment of UNIX (I'm not a GUI guy) and the
> cost-effectiveness
> of a standard PC platform.
-8<-

If it's speed you're looking for stay with Linux ;^).  Win32 itself is slow and
then you add the processing to emulate POSIX you're not going to find speed
independant of what product you use.  You should be comfortable with the
development environment.  If you're not concerned with POSIX routines you may
want to investigate the "Mingw32" version of GCC.  I use a mixed bag.

> 
> >Comes close but can't ever be exact.  The MS File Systems prevent Cygwin
> from
> >being exactly like Linux.  One of the first things you'll want to do is to
> move
> >the files to a more common directory tree.
> >
> 
> How does this work?  What is the root directory (C:\) ?
> 

C:\ is the default (or is it the device of the working directory the first
instance of the cygwin1.dll load?) for the / but you can modify that.  I have
my / mapped to C:\root.  The how it works is basically a table stored in the
win32 registry that's stored in memory upon cygwin1.dll load.  The filesystem
calls map and remap the directory structure based on the data in the table.

> >You'll need to create the import libraries so that they appear to be UNIX
> >static like libraries but you should be able to call those from cygwin but
> not
> >vice versa.
> 
> What is an import library and what does it entail?  Can I do all this
> from the gcc that is supplied with Cygwin?
> 

Finding all of the exports in a given dll and creating a .def file and then
using the development tools to create libsomelib.a.  You'll find better answers
in the archive and the other pointers in my .sig.

> Thanks for the links in your sig.  I'll investigate them now.
> 
> Furthermore, let me thank you for all the answers!
> 

You're welcome.

===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]